Skip to main content
GET
/
project
/
{project_id}
/
location
/
{location}
/
machine-image
/
{machine_image_reference}
Get details of a machine image
curl --request GET \
  --url https://api.ubicloud.com/project/{project_id}/location/{location}/machine-image/{machine_image_reference} \
  --header 'Authorization: Bearer <token>'
{
  "id": "m1n30gjk1d1e2jj34v9x0dq4rp",
  "name": "my-image",
  "location": "eu-central-h1",
  "arch": "x64",
  "created_at": "2023-11-07T05:31:56Z",
  "versions": [
    {
      "id": "mvn30gjk1d1e2jj34v9x0dq4rp",
      "version": "v1.0",
      "state": "creating",
      "created_at": "2023-11-07T05:31:56Z",
      "actual_size_mib": 123,
      "archive_size_mib": 123
    }
  ],
  "latest_version": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://ubicloud.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

machine_image_reference
string
required

Machine Image ID or name Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$
project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

location
string
required

The Ubicloud location/region

Example:

"eu-central-h1"

Response

A machine image with version details

id
string
required

ID of the machine image

Pattern: ^m1[0-9a-hj-km-np-tv-z]{24}$
Example:

"m1n30gjk1d1e2jj34v9x0dq4rp"

name
string
required

Name of the machine image

Example:

"my-image"

location
string
required

Location of the machine image

Example:

"eu-central-h1"

arch
enum<string>
required

Architecture

Available options:
x64,
arm64
created_at
string<date-time>
required

Creation timestamp

versions
object[]
required
latest_version
string | null

Latest version label